﻿#!/bin/bash
# GestNav3 installation Patch_GestNav3

dir2=`tail -n 1 /etc/mtab`
dir=${dir2:10:20}
file="$dir/installation_Patch_GestNav3.txt"
f="$dir/autorun_bavn"
source $dir/autorun_bavn/Traduction.sh

#Arrête le script si déjà installé
if [ -f "$file" ]
then
    echo "script installation Patch_GestNav3 fait" > /dev/kmsg
    exit 0
fi

if [ -d "$f" ]
then

#Lancement popup et son début
	sleep 10
	$dir/autorun_bavn/LancementPopup.sh "$Patch_PreInstall_v15" &
	/usr/bin/aplay $dir/autorun_bavn/startup.wav
	sleep 4

#Montage des partitions en écriture	
    mount -o remount,rw /
    mount -o remount,rw $dir
    /bin/sync

#Efface les fichiers de type .* généré par les mac
	find "$dir/" -name ".*" -exec rm "{}" \;
	find "/navi/" -name ".*" -exec rm "{}" \;

#Copie et affiche le résultat dans le log
    echo "script installation Patch_GestNav3" > /dev/kmsg
    rm -f $file
    mkdir -p /home/root/EvoTech > /dev/kmsg
	.$f/reboot.sh &
	echo "script installation Patch_GestNav3" >> $file
    cp -Rfva $f/patch/usr/* /usr/ > /dev/kmsg
	sleep 2
	
#Lancement du son fin
	/usr/bin/aplay $dir/autorun_bavn/installation.wav
	ecrit_log "		= > OK"
	sleep 4

#Montage des partitions en lecture seule   
    mount -o remount,ro $dir
    mount -o remount,ro / > /dev/kmsg
	/bin/sync
	
#Popup de fin	
	$dir/autorun_bavn/PopupFin.sh &
	sleep 2
    
else
    echo "autorun.sh introuvable, le chemin est invalide ! " > /dev/kmsg
    exit 0
fi


/bin/sync